- updated to 3.36.0 auto/th/gnome-builder-3.36.0-1
authorJakub Bogusz <qboosh@pld-linux.org>
Tue, 5 May 2020 19:43:05 +0000 (21:43 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Tue, 5 May 2020 19:43:05 +0000 (21:43 +0200)
- removed obsolete meson0.52,doc patches

gnome-builder-doc.patch [deleted file]
gnome-builder.spec
meson0.52.patch [deleted file]

diff --git a/gnome-builder-doc.patch b/gnome-builder-doc.patch
deleted file mode 100644 (file)
index fceacf8..0000000
+++ /dev/null
@@ -1,35 +0,0 @@
-From da26dfbf78468f5ed724e022b300a07862a95833 Mon Sep 17 00:00:00 2001
-From: Diego Escalante Urrelo <diegoe@gnome.org>
-Date: Sun, 27 Oct 2019 03:45:20 -0500
-Subject: [PATCH] build: Update gtk-doc generation to meson changes
-
-After updating our use of link_with/link_whole for meson-0.52.0 we
-accidentally broke gtk-doc generation.
-
-Before c8b862b491cfbbb4f79b24d7cd90e4fb1f37cb9f gnome_builder_deps
-included link_whole calls to all our libide static libraries. Because we
-changed those calls to link_with, libide_gtk_doc was no longer linking
-properly.
-
-To solve the above we now use gnome_builder_static, which is a list of
-all our internal libide static libraries and can be used as an argument
-to link_whole, just like we do in the gnome_builder target.
-
-Fixes: https://gitlab.gnome.org/GNOME/gnome-builder/issues/1063
----
- doc/sdk/meson.build | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/doc/sdk/meson.build b/doc/sdk/meson.build
-index 4bb2421b3..f6ff1a3b7 100644
---- a/doc/sdk/meson.build
-+++ b/doc/sdk/meson.build
-@@ -30,7 +30,7 @@ docpath = join_paths(get_option('datadir'), 'gtk-doc', 'html')
- libide_gtk_doc = shared_library('ide-gtk-doc',
-             c_args: libide_args + release_args,
--      dependencies: gnome_builder_deps,
-+        link_whole: gnome_builder_static,
- )
- libide_gtk_doc_dep = declare_dependency(
index c3a3aeccaace4ccf06f5fc72b1850148fe100552..379b28ce6bd757c04507e9e1c566ac6c0ddf989f 100644 (file)
 Summary:       IDE for writing GNOME-based software
 Summary(pl.UTF-8):     IDE do tworzenia oprogramowania opartego na GNOME
 Name:          gnome-builder
-Version:       3.34.1
-Release:       8
+Version:       3.36.0
+Release:       1
 License:       GPL v3+
 Group:         X11/Applications
-Source0:       http://ftp.gnome.org/pub/GNOME/sources/gnome-builder/3.34/%{name}-%{version}.tar.xz
-# Source0-md5: 88e43a49678309a41db35f48aa0ce4fc
-Patch0:                meson0.52.patch
-Patch1:                %{name}-doc.patch
+Source0:       http://ftp.gnome.org/pub/GNOME/sources/gnome-builder/3.36/%{name}-%{version}.tar.xz
+# Source0-md5: 3e36a5cd40e58231bbbb47c01cb5d888
 URL:           https://wiki.gnome.org/Apps/Builder
 BuildRequires: appstream-glib
 BuildRequires: clang-devel >= 3.5
@@ -37,27 +35,27 @@ BuildRequires:      gtk+3-devel >= 3.22.26
 %{?with_apidocs:BuildRequires: gtk-doc >= 1.11}
 BuildRequires: gtk-webkit4-devel >= 2.22
 BuildRequires: gtksourceview4-devel >= 4.0.0
-BuildRequires: intltool >= 0.50.1
 BuildRequires: json-glib-devel >= 1.2.0
 BuildRequires: jsonrpc-glib-devel >= 3.30.0
 BuildRequires: libdazzle-devel >= 3.34.0
 BuildRequires: libgit2-glib-devel >= 0.25.0
 BuildRequires: libpeas-devel >= 1.22.0
+BuildRequires: libportal-devel >= 0.3
 BuildRequires: libsoup-devel >= 2.52.0
 # C++11
 BuildRequires: libstdc++-devel >= 6:4.7
 BuildRequires: libtool >= 2:2.2
 BuildRequires: libxml2-devel >= 1:2.9.0
 BuildRequires: llvm-devel >= 3.5
-BuildRequires: meson >= 0.50.0
-BuildRequires: ninja
+BuildRequires: meson >= 0.51.2
+BuildRequires: ninja >= 1.5
 BuildRequires: ostree-devel
 BuildRequires: pango-devel >= 1:1.38.0
 BuildRequires: pcre-devel
 BuildRequires: pkgconfig >= 1:0.22
 BuildRequires: python3-devel >= 1:3.2.3
 BuildRequires: python3-pygobject3-devel >= 3.22.0
-BuildRequires: rpmbuild(macros) >= 1.522
+BuildRequires: rpmbuild(macros) >= 1.736
 %{?with_apidocs:BuildRequires: sphinx-pdg-3}
 %{?with_sysprof:BuildRequires: sysprof-ui-devel >= 3.33.4}
 BuildRequires: tar >= 1:1.22
@@ -68,9 +66,6 @@ BuildRequires:        vala-libdazzle >= 3.34.0
 BuildRequires: vala-libgit2-glib >= 0.25.0
 BuildRequires: vala-template-glib >= 3.28.0
 BuildRequires: vala-vte >= 0.46
-%if %{with vala_pack}
-BuildRequires: vala-jsonrpc-glib >= 3.30.0
-%endif
 BuildRequires: vte-devel >= 0.46
 BuildRequires: xz
 BuildRequires: yelp-tools
@@ -93,6 +88,7 @@ Requires:     jsonrpc-glib >= 3.30.0
 Requires:      libdazzle >= 3.34.0
 Requires:      libgit2-glib >= 0.25.0
 Requires:      libpeas >= 1.22.0
+Requires:      libportal >= 0.3
 Requires:      libsoup >= 2.52.0
 Requires:      libxml2 >= 1:2.9.0
 Requires:      pango >= 1:1.38.0
@@ -101,10 +97,13 @@ Requires:  python3-pygobject3 >= 3.22.0
 %{?with_sysprof:Requires:      sysprof-ui-libs >= 3.33.4}
 Requires:      template-glib >= 3.28.0
 Requires:      vte >= 0.46
+#Suggests:     python3-jedi
 Suggests:      python3-lxml
 Obsoletes:     gnome-builder-mm
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
+%define                apiver  3.36
+
 %description
 Builder attempts to be an IDE for writing software for GNOME. It does
 not try to be a generic IDE, but one specialized for writing GNOME
@@ -130,6 +129,7 @@ Requires:   pango-devel >= 1:1.38.0
 Requires:      template-glib-devel >= 3.28.0
 Requires:      vte-devel >= 0.46
 Obsoletes:     gnome-builder-mm-devel
+Obsoletes:     vala-gnome-builder < 3.36
 
 %description devel
 This package provides development files for GNOME Builder.
@@ -137,29 +137,12 @@ This package provides development files for GNOME Builder.
 %description devel -l pl.UTF-8
 Ten pakiet zawiera pliki programistyczne GNOME Buildera.
 
-%package -n vala-gnome-builder
-Summary:       Vala API for GNOME Builder
-Summary(pl.UTF-8):     API języka Vala dla GNOME Buildera
-Group:         Development/Libraries
-Requires:      %{name}-devel = %{version}-%{release}
-Requires:      vala >= 2:0.30
-Requires:      vala-gtksourceview4 >= 4.0.0
-Requires:      vala-libdazzle >= 3.34.0
-Requires:      vala-template-glib >= 3.28.0
-Requires:      vala-vte >= 0.46
-
-%description -n vala-gnome-builder
-Vala API for GNOME Builder.
-
-%description -n vala-gnome-builder -l pl.UTF-8
-API języka Vala dla GNOME Buildera.
-
 %package doc
 Summary:       GNOME Builder documentation
 Summary(pl.UTF-8):     Dokumentacja do GNOME Buildera
 Group:         Documentation
 Requires:      %{name} = %{version}-%{release}
-%if "%{_rpmversion}" >= "5"
+%if "%{_rpmversion}" >= "4.6"
 BuildArch:     noarch
 %endif
 
@@ -173,7 +156,7 @@ Dokumentacja do GNOME Buildera.
 Summary:       API documentation for GNOME Builder libraries
 Summary(pl.UTF-8):     Dokumentacja API bibliotek GNOME Buildera
 Group:         Documentation
-%if "%{_rpmversion}" >= "5"
+%if "%{_rpmversion}" >= "4.6"
 BuildArch:     noarch
 %endif
 
@@ -185,8 +168,6 @@ Dokumentacja API bibliotek GNOME Buildera.
 
 %prep
 %setup -q
-%patch0 -p1
-%patch1 -p1
 
 grep -rl /usr/bin/env src/plugins src/libide | xargs sed -i -e '1{
        s,^#!.*bin/env python3,#!%{__python3},
@@ -234,7 +215,7 @@ rm -rf $RPM_BUILD_ROOT
 %attr(755,root,root) %{_bindir}/gnome-builder
 %dir %{_libdir}/gnome-builder
 %dir %{_libdir}/gnome-builder/girepository-1.0
-%{_libdir}/gnome-builder/girepository-1.0/Ide-*.typelib
+%{_libdir}/gnome-builder/girepository-1.0/Ide-%{apiver}.typelib
 %dir %{_libdir}/gnome-builder/plugins
 %attr(755,root,root) %{_libexecdir}/gnome-builder-clang
 %attr(755,root,root) %{_libexecdir}/gnome-builder-git
@@ -245,6 +226,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/gnome-builder/plugins/cargo.plugin
 %{_libdir}/gnome-builder/plugins/cargo_plugin.py
 
+%{_libdir}/gnome-builder/plugins/copyright.plugin
+%{_libdir}/gnome-builder/plugins/copyright_plugin.py
+%{_datadir}/glib-2.0/schemas/org.gnome.builder.plugins.copyright.gschema.xml
+
 %{_libdir}/gnome-builder/plugins/eslint.plugin
 %{_libdir}/gnome-builder/plugins/eslint_plugin.py
 %{_datadir}/glib-2.0/schemas/org.gnome.builder.plugins.eslint.gschema.xml
@@ -258,6 +243,9 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/gnome-builder/plugins/go-langserv.plugin
 %{_libdir}/gnome-builder/plugins/go_langserver_plugin.py
 
+%{_libdir}/gnome-builder/plugins/gvls.plugin
+%{_libdir}/gnome-builder/plugins/gvls_plugin.py
+
 %{_libdir}/gnome-builder/plugins/html_preview.gresource
 %{_libdir}/gnome-builder/plugins/html-preview.plugin
 %{_libdir}/gnome-builder/plugins/html_preview.py
@@ -301,6 +289,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/gnome-builder/plugins/rls.plugin
 %{_libdir}/gnome-builder/plugins/rls_plugin.py
 
+%{_libdir}/gnome-builder/plugins/stylelint.plugin
+%{_libdir}/gnome-builder/plugins/stylelint_plugin.py
+%{_datadir}/glib-2.0/schemas/org.gnome.builder.plugins.stylelint.gschema.xml
+
 %{_libdir}/gnome-builder/plugins/waf.plugin
 %{_libdir}/gnome-builder/plugins/waf_plugin.py
 
@@ -310,9 +302,8 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %if %{with vala_pack}
-%attr(755,root,root) %{_libexecdir}/gnome-builder-vala
-%attr(755,root,root) %{_libdir}/gnome-builder/plugins/libplugin-vala-pack.so
 %{_libdir}/gnome-builder/plugins/vala-pack.plugin
+%{_libdir}/gnome-builder/plugins/vala_pack_plugin.py
 %endif
 
 %{_libdir}/gnome-builder/plugins/valgrind.plugin
@@ -345,17 +336,11 @@ rm -rf $RPM_BUILD_ROOT
 %files devel
 %defattr(644,root,root,755)
 %{_includedir}/gnome-builder
-%{_includedir}/gnome-builder-*
+%{_includedir}/gnome-builder-%{apiver}
 %dir %{_datadir}/gnome-builder/gir-1.0
-%{_datadir}/gnome-builder/gir-1.0/Ide-*.gir
+%{_datadir}/gnome-builder/gir-1.0/Ide-%{apiver}.gir
 %dir %{_libdir}/gnome-builder/pkgconfig
-%{_libdir}/gnome-builder/pkgconfig/gnome-builder-*.pc
-
-%files -n vala-gnome-builder
-%defattr(644,root,root,755)
-%dir %{_datadir}/gnome-builder/vapi
-%{_datadir}/gnome-builder/vapi/libide-*.deps
-%{_datadir}/gnome-builder/vapi/libide-*.vapi
+%{_libdir}/gnome-builder/pkgconfig/gnome-builder-%{apiver}.pc
 
 %if %{with apidocs}
 %files doc
diff --git a/meson0.52.patch b/meson0.52.patch
deleted file mode 100644 (file)
index 2890273..0000000
+++ /dev/null
@@ -1,334 +0,0 @@
-From c8b862b491cfbbb4f79b24d7cd90e4fb1f37cb9f Mon Sep 17 00:00:00 2001
-From: Diego Escalante Urrelo <diegoe@gnome.org>
-Date: Fri, 25 Oct 2019 04:49:15 -0500
-Subject: [PATCH] WIP: build: Fix link_whole usage for meson 0.52.0
-
-Meson 0.52.0 changed how link_whole behaves and in doing so broke our
-usage of link_whole internally.
-
-A quick glance over mesonbuild/backend/ninjabackend.py seems to confirm
-Christian's suspicion that link_with is what we want for internal use,
-and link_whole for the final binary.
-
-You can see some more references to this and similar issues in the
-following jhbuild commit:
-https://gitlab.gnome.org/GNOME/jhbuild/commit/dbe679045ff5982577f22e7af8dc8fdfbd1c6311
-
-Fixes: https://gitlab.gnome.org/GNOME/gnome-builder/issues/1057
----
- src/libide/code/meson.build       |  2 +-
- src/libide/core/meson.build       |  2 +-
- src/libide/debugger/meson.build   |  2 +-
- src/libide/editor/meson.build     |  2 +-
- src/libide/foundry/meson.build    |  2 +-
- src/libide/greeter/meson.build    |  2 +-
- src/libide/gui/meson.build        |  2 +-
- src/libide/io/meson.build         |  2 +-
- src/libide/lsp/meson.build        |  2 +-
- src/libide/plugins/meson.build    |  2 +-
- src/libide/projects/meson.build   |  2 +-
- src/libide/search/meson.build     |  2 +-
- src/libide/sourceview/meson.build |  2 +-
- src/libide/terminal/meson.build   |  2 +-
- src/libide/themes/meson.build     |  2 +-
- src/libide/threading/meson.build  |  2 +-
- src/libide/tree/meson.build       |  2 +-
- src/libide/vcs/meson.build        |  2 +-
- src/libide/webkit/meson.build     |  2 +-
- src/meson.build                   | 26 +++++++++++++++++++++++++-
- 20 files changed, 44 insertions(+), 20 deletions(-)
-
-diff --git a/src/libide/code/meson.build b/src/libide/code/meson.build
-index ddacdc162..1a4fc5d26 100644
---- a/src/libide/code/meson.build
-+++ b/src/libide/code/meson.build
-@@ -175,7 +175,7 @@ libide_code = static_library('ide-code-' + libide_api_version,
- libide_code_dep = declare_dependency(
-               sources: libide_code_private_headers + libide_code_generated_headers,
-          dependencies: libide_code_deps,
--           link_whole: libide_code,
-+            link_with: libide_code,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/core/meson.build b/src/libide/core/meson.build
-index 1fa82fad9..bb75cbf26 100644
---- a/src/libide/core/meson.build
-+++ b/src/libide/core/meson.build
-@@ -117,7 +117,7 @@ libide_core = static_library('ide-core-' + libide_api_version, libide_core_sourc
- libide_core_dep = declare_dependency(
-               sources: libide_core_private_headers + libide_core_generated_headers,
-          dependencies: libide_core_deps,
--           link_whole: libide_core,
-+            link_with: libide_core,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/debugger/meson.build b/src/libide/debugger/meson.build
-index dffca20ca..b5e72d5c0 100644
---- a/src/libide/debugger/meson.build
-+++ b/src/libide/debugger/meson.build
-@@ -84,7 +84,7 @@ libide_debugger = static_library('ide-debugger-' + libide_api_version,
- libide_debugger_dep = declare_dependency(
-               sources: libide_debugger_private_headers + libide_debugger_generated_headers,
-          dependencies: libide_debugger_deps,
--           link_whole: libide_debugger,
-+            link_with: libide_debugger,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/editor/meson.build b/src/libide/editor/meson.build
-index 2838425b7..808ed784f 100644
---- a/src/libide/editor/meson.build
-+++ b/src/libide/editor/meson.build
-@@ -107,7 +107,7 @@ libide_editor = static_library('ide-editor-' + libide_api_version, libide_editor
- libide_editor_dep = declare_dependency(
-          dependencies: libide_editor_deps,
--           link_whole: libide_editor,
-+            link_with: libide_editor,
-   include_directories: include_directories('.'),
-               sources: libide_editor_generated_headers,
- )
-diff --git a/src/libide/foundry/meson.build b/src/libide/foundry/meson.build
-index 226397c15..d4878aa11 100644
---- a/src/libide/foundry/meson.build
-+++ b/src/libide/foundry/meson.build
-@@ -178,7 +178,7 @@ libide_foundry = static_library('ide-foundry-' + libide_api_version,
- libide_foundry_dep = declare_dependency(
-          dependencies: libide_foundry_deps,
--           link_whole: libide_foundry,
-+            link_with: libide_foundry,
-   include_directories: include_directories('.'),
-               sources: libide_foundry_generated_headers,
- )
-diff --git a/src/libide/greeter/meson.build b/src/libide/greeter/meson.build
-index 3968ca41e..121d498d0 100644
---- a/src/libide/greeter/meson.build
-+++ b/src/libide/greeter/meson.build
-@@ -83,7 +83,7 @@ libide_greeter = static_library('ide-greeter-' + libide_api_version,
- libide_greeter_dep = declare_dependency(
-               sources: libide_greeter_private_headers + libide_greeter_generated_headers,
-          dependencies: libide_greeter_deps,
--           link_whole: libide_greeter,
-+            link_with: libide_greeter,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/gui/meson.build b/src/libide/gui/meson.build
-index 9f469d2fa..94311282f 100644
---- a/src/libide/gui/meson.build
-+++ b/src/libide/gui/meson.build
-@@ -204,7 +204,7 @@ libide_gui = static_library('ide-gui-' + libide_api_version, libide_gui_sources,
- libide_gui_dep = declare_dependency(
-               sources: libide_gui_private_headers + libide_gui_generated_headers,
-          dependencies: libide_gui_deps,
--           link_whole: libide_gui,
-+            link_with: libide_gui,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/io/meson.build b/src/libide/io/meson.build
-index b5b6f4c68..f48b3bd8d 100644
---- a/src/libide/io/meson.build
-+++ b/src/libide/io/meson.build
-@@ -63,7 +63,7 @@ libide_io = static_library('ide-io-' + libide_api_version, libide_io_sources,
- libide_io_dep = declare_dependency(
-          dependencies: [ libgio_dep, libide_core_dep, libide_threading_dep ],
--           link_whole: libide_io,
-+            link_with: libide_io,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/lsp/meson.build b/src/libide/lsp/meson.build
-index 23aba74fa..c8140ca03 100644
---- a/src/libide/lsp/meson.build
-+++ b/src/libide/lsp/meson.build
-@@ -84,7 +84,7 @@ libide_lsp = static_library('ide-lsp-' + libide_api_version, libide_lsp_sources,
- libide_lsp_dep = declare_dependency(
-               sources: libide_lsp_private_headers,
-          dependencies: libide_lsp_deps,
--           link_whole: libide_lsp,
-+            link_with: libide_lsp,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/plugins/meson.build b/src/libide/plugins/meson.build
-index a33c528c9..fff599db3 100644
---- a/src/libide/plugins/meson.build
-+++ b/src/libide/plugins/meson.build
-@@ -51,7 +51,7 @@ libide_plugins = static_library('ide-plugins-' + libide_api_version,
- libide_plugins_dep = declare_dependency(
-               sources: libide_plugins_private_headers,
-          dependencies: libide_plugins_deps,
--           link_whole: libide_plugins,
-+            link_with: libide_plugins,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/projects/meson.build b/src/libide/projects/meson.build
-index 463ff06bc..3cc9725c6 100644
---- a/src/libide/projects/meson.build
-+++ b/src/libide/projects/meson.build
-@@ -79,7 +79,7 @@ libide_projects = static_library('ide-projects-' + libide_api_version, libide_pr
- libide_projects_dep = declare_dependency(
-               sources: libide_projects_private_headers,
-          dependencies: libide_projects_deps,
--           link_whole: libide_projects,
-+            link_with: libide_projects,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/search/meson.build b/src/libide/search/meson.build
-index e5b3b43ab..cf73aa91d 100644
---- a/src/libide/search/meson.build
-+++ b/src/libide/search/meson.build
-@@ -51,7 +51,7 @@ libide_search = static_library('ide-search-' + libide_api_version, libide_search
- libide_search_dep = declare_dependency(
-          dependencies: libide_search_deps,
--           link_whole: libide_search,
-+            link_with: libide_search,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/sourceview/meson.build b/src/libide/sourceview/meson.build
-index c4ba12d1f..99641298b 100644
---- a/src/libide/sourceview/meson.build
-+++ b/src/libide/sourceview/meson.build
-@@ -158,7 +158,7 @@ libide_sourceview = static_library('ide-sourceview-' + libide_api_version,
- libide_sourceview_dep = declare_dependency(
-               sources: libide_sourceview_private_headers + libide_sourceview_generated_headers,
-          dependencies: libide_sourceview_deps,
--           link_whole: libide_sourceview,
-+            link_with: libide_sourceview,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/terminal/meson.build b/src/libide/terminal/meson.build
-index 1d7c9f727..6affcae14 100644
---- a/src/libide/terminal/meson.build
-+++ b/src/libide/terminal/meson.build
-@@ -93,7 +93,7 @@ libide_terminal = static_library('ide-terminal-' + libide_api_version,
- libide_terminal_dep = declare_dependency(
-               sources: libide_terminal_generated_headers,
-          dependencies: libide_terminal_deps,
--           link_whole: libide_terminal,
-+            link_with: libide_terminal,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/themes/meson.build b/src/libide/themes/meson.build
-index 9d6c8e247..d883a4b86 100644
---- a/src/libide/themes/meson.build
-+++ b/src/libide/themes/meson.build
-@@ -46,7 +46,7 @@ libide_themes = static_library('ide-themes-' + libide_api_version,
- libide_themes_dep = declare_dependency(
-               sources: libide_themes_resources[1],
-          dependencies: libide_themes_deps,
--           link_whole: libide_themes,
-+            link_with: libide_themes,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/threading/meson.build b/src/libide/threading/meson.build
-index d38ddfb64..d628be2ff 100644
---- a/src/libide/threading/meson.build
-+++ b/src/libide/threading/meson.build
-@@ -66,7 +66,7 @@ libide_threading = static_library('ide-threading-' + libide_api_version, libide_
- libide_threading_dep = declare_dependency(
-               sources: libide_threading_private_headers,
-          dependencies: libide_threading_deps,
--           link_whole: libide_threading,
-+            link_with: libide_threading,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/tree/meson.build b/src/libide/tree/meson.build
-index 7b9922828..5a591106c 100644
---- a/src/libide/tree/meson.build
-+++ b/src/libide/tree/meson.build
-@@ -61,7 +61,7 @@ libide_tree = static_library('ide-tree-' + libide_api_version, libide_tree_sourc
- libide_tree_dep = declare_dependency(
-               sources: libide_tree_private_headers,
-          dependencies: libide_tree_deps,
--           link_whole: libide_tree,
-+            link_with: libide_tree,
-   include_directories: include_directories('.'),
- )
-diff --git a/src/libide/vcs/meson.build b/src/libide/vcs/meson.build
-index 6b0e157c4..c762afb64 100644
---- a/src/libide/vcs/meson.build
-+++ b/src/libide/vcs/meson.build
-@@ -84,7 +84,7 @@ libide_vcs = static_library('ide-vcs-' + libide_api_version,
- libide_vcs_dep = declare_dependency(
-          dependencies: libide_vcs_deps,
--           link_whole: libide_vcs,
-+            link_with: libide_vcs,
-   include_directories: include_directories('.'),
-               sources: libide_vcs_generated_headers,
- )
-diff --git a/src/libide/webkit/meson.build b/src/libide/webkit/meson.build
-index e1767ae46..fce477b36 100644
---- a/src/libide/webkit/meson.build
-+++ b/src/libide/webkit/meson.build
-@@ -39,7 +39,7 @@ libide_webkit = static_library('ide-webkit-' + libide_api_version, libide_webkit
- libide_webkit_dep = declare_dependency(
-          dependencies: libide_webkit_deps,
--           link_whole: libide_webkit,
-+            link_with: libide_webkit,
-   include_directories: include_directories('.'),
-               sources: libide_webkit_generated_headers,
- )
-diff --git a/src/meson.build b/src/meson.build
-index 3eb9ba535..113a142ad 100644
---- a/src/meson.build
-+++ b/src/meson.build
-@@ -48,6 +48,30 @@ gnome_builder_deps = [
-   libide_tree_dep,
- ]
-+gnome_builder_static = [
-+  libide_code,
-+  libide_core,
-+  libide_debugger,
-+  libide_editor,
-+  libide_foundry,
-+  libide_greeter,
-+  libide_gui,
-+  libide_io,
-+  libide_lsp,
-+  libide_plugins,
-+  libide_projects,
-+  libide_search,
-+  libide_sourceview,
-+  libide_terminal,
-+  libide_themes,
-+  libide_threading,
-+  libide_tree,
-+  libide_vcs,
-+  libide_webkit,
-+
-+  plugins,
-+]
-+
- if libsysprof_capture.found()
-   gnome_builder_deps += libsysprof_capture
- endif
-@@ -77,7 +101,7 @@ gnome_builder = executable('gnome-builder', 'main.c', 'bug-buddy.c',
-             c_args: libide_args + exe_c_args + release_args,
-          link_args: exe_link_args,
-                pie: true,
--        link_whole: plugins,
-+        link_whole: gnome_builder_static,
-      install_rpath: pkglibdir_abs,
-       dependencies: gnome_builder_deps,
- )
--- 
-2.22.0
-
This page took 0.16243 seconds and 4 git commands to generate.